Bug 1803996 - systemd-ask-password-console.service: Unit configuration has fatal error
Summary: systemd-ask-password-console.service: Unit configuration has fatal error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FinalBlocker, FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2020-02-17 23:50 UTC by Chris Murphy
Modified: 2020-03-24 20:39 UTC (History)
14 users (show)

Fixed In Version: dracut-050-26.git20200316.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-24 20:39:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2020-02-17 23:50:05 UTC
Description of problem:

[    1.250487] systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"



Version-Release number of selected component (if applicable):
systemd-245~rc1-2.fc32.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Boot
2.
3.

Actual results:

[    1.243403] systemd[1]: initrd.target: Requested dependency OnFailure=emergency.target ignored (target units cannot fail).
[    1.250487] systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"
[    1.254017] systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.



Expected results:


Probably should start or not try to start it.


Additional info:

Comment 1 Henry Kroll 2020-02-23 05:19:21 UTC
The path and file exists and is a 64-bit ELF executable. But I am getting the same error. /usr/bin/systemd-tty-ask-password-agent not found. I tried running it, and it returns with no error. What gives?
/usr/bin/systemd-tty-ask-password-agent
echo $?
0

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-02-26 13:33:14 UTC
> systemd[1]: initrd.target: Requested dependency OnFailure=emergency.target ignored (target units cannot fail).

This is already fixed in git master.

> systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"

I think the message is from the initramfs. You didn't explicitly say, but
that seems to be a good explanation. When an absolute path is given, systemd
does not verify that the executable is present until the service is started.
If just the name is given, it'll search for the executable when loading the unit
and possibly fail.

"sudo lsinitrd|grep ask-password" confirms that the unit file is installed, but
not the binary. Seems to be a bug in dracut, it should not install one without
the other.

Comment 3 Frantisek Sumsal 2020-02-27 09:27:55 UTC
This should be already fixed in upstream, see https://github.com/dracutdevs/dracut/commit/16abea2592d7fee6166660098b647356d5a4cc14, it just needs to get into Fedora as well.

Comment 4 Zbigniew Jędrzejewski-Szmek 2020-02-27 10:38:52 UTC
Ah, nice!

Comment 5 Fedora Blocker Bugs Application 2020-03-04 04:17:20 UTC
Proposed as a Blocker for 32-final by Fedora user chrismurphy using the blocker tracking app because:

 Final: "All system services present after installation with one of the release-blocking package sets must start properly, unless they require hardware which is not present."

Comment 6 Fedora Update System 2020-03-04 20:15:19 UTC
dracut-050-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e8ed29f8bc

Comment 7 Geoffrey Marr 2020-03-10 01:11:00 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as it's not clear whether/when this actually manifests as a failed service in systemctl --failed, and it's also not clear what its practical effect is. Also, anaconda team has alerted us that dracut 050 breaks kickstart installs, so we cannot simply pull in dracut 050 to fix this. With all of those considerations, we will punt on this for now to try and investigate the bug further and come up with a plan.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 8 Fedora Update System 2020-03-11 14:05:32 UTC
FEDORA-2020-529e8e2f53 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-529e8e2f53

Comment 9 Fedora Update System 2020-03-12 18:49:41 UTC
dracut-050-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-529e8e2f53

Comment 10 Fedora Update System 2020-03-13 15:11:38 UTC
FEDORA-2020-529e8e2f53 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-529e8e2f53

Comment 11 Fedora Update System 2020-03-13 18:33:21 UTC
dracut-050-25.git20200313.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-529e8e2f53

Comment 12 Fedora Update System 2020-03-16 15:46:58 UTC
FEDORA-2020-c7a820c8ab has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7a820c8ab

Comment 13 Geoffrey Marr 2020-03-16 19:07:13 UTC
Discussed during the 2020-03-16 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as we don't have all the info we need to make a decision yet. We will check in with cmurf on the details of the bug, and the anaconda team on whether they're happy with the current dracut 050 update as it stands.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-16/f32-blocker-review.2020-03-16-16.03.txt

Comment 14 Fedora Update System 2020-03-17 02:48:57 UTC
dracut-050-26.git20200316.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7a820c8ab

Comment 15 Geoffrey Marr 2020-03-23 19:31:40 UTC
Discussed during the 2020-03-23 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as we still don't have follow up on this. This time we'll "needinfo" cmurf expressly to check it out further and also see if the update fixes it.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-23/f32-blocker-review.2020-03-23-16.00.txt

Comment 16 Chris Murphy 2020-03-23 20:10:29 UTC
Fedora-Workstation-Live-x86_64-32-20200323.n.0.iso

Still present. But the unit is not failed according to systemctl. The criterion says units must start properly. Is this starting properly even if it's not a failed unit?

$ sudo systemctl status systemd-ask-password-console.service
● systemd-ask-password-console.service - Dispatch Password Requests to Console
     Loaded: loaded (/usr/lib/systemd/system/systemd-ask-password-console.service; static; vendor preset: disabled)
     Active: inactive (dead)
TriggeredBy: ● systemd-ask-password-console.path
       Docs: man:systemd-ask-password-console.service(8)

Mar 23 14:04:23 localhost.localdomain systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in >
Mar 23 14:04:23 localhost.localdomain systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.
$ 


----


$ sudo journalctl -b | grep console
Mar 23 14:04:22 localhost.localdomain kernel: printk: console [tty0] enabled
Mar 23 14:04:22 localhost.localdomain kernel: fbcon: Deferring console take-over
Mar 23 14:04:22 localhost.localdomain systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"
Mar 23 14:04:22 localhost.localdomain systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.
Mar 23 14:04:22 localhost.localdomain systemd[1]: systemd-vconsole-setup.service: Succeeded.
Mar 23 14:04:22 localhost.localdomain systemd-vconsole-setup[309]: KD_FONT_OP_GET failed while trying to get the font metadata: Function not implemented
Mar 23 14:04:22 localhost.localdomain systemd-vconsole-setup[309]: Fonts will not be copied to remaining consoles
Mar 23 14:04:22 localhost.localdomain kernel: qxl 0000:00:01.0: vgaarb: deactivate vga console
Mar 23 14:04:23 localhost.localdomain kernel: fbcon: Deferring console take-over
Mar 23 14:04:23 localhost.localdomain systemd-vconsole-setup[415]: KD_FONT_OP_GET failed while trying to get the font metadata: Function not implemented
Mar 23 14:04:23 localhost.localdomain systemd-vconsole-setup[415]: Fonts will not be copied to remaining consoles
Mar 23 14:04:23 localhost.localdomain systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"
Mar 23 14:04:23 localhost.localdomain systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.
Mar 23 14:04:23 localhost.localdomain systemd-vconsole-setup[514]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
Mar 23 14:04:23 localhost.localdomain systemd-vconsole-setup[514]: Fonts will not be copied to remaining consoles
Mar 23 14:04:23 localhost.localdomain systemd[1]: systemd-vconsole-setup.service: Succeeded.
Mar 23 14:04:23 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Mar 23 14:04:23 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Mar 23 14:04:24 localhost.localdomain systemd[1]: systemd-vconsole-setup.service: Succeeded.
Mar 23 14:04:24 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Mar 23 14:04:24 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Mar 23 14:04:24 localhost.localdomain systemd-vconsole-setup[558]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
Mar 23 14:04:24 localhost.localdomain systemd-vconsole-setup[558]: Fonts will not be copied to remaining consoles
Mar 23 14:04:25 localhost.localdomain systemd-vconsole-setup[615]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
Mar 23 14:04:25 localhost.localdomain systemd-vconsole-setup[615]: Fonts will not be copied to remaining consoles
$

Comment 17 Chris Murphy 2020-03-23 20:52:57 UTC
This compose comes with dracut-049-27.git20181204.fc32.2.x86_64, but it's not fixed with dracut-050-26.git20200316.fc32.x86_64 following software updates.


# journalctl -b -o short-monotonic | grep console
[    0.062255] localhost.localdomain kernel: printk: console [tty0] enabled
[    0.820443] localhost.localdomain kernel: fbcon: Deferring console take-over
[    1.845273] localhost.localdomain systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"
[    1.845277] localhost.localdomain systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.
[    1.929284] localhost.localdomain systemd[1]: systemd-vconsole-setup.service: Succeeded.
[    2.143856] localhost.localdomain systemd-vconsole-setup[309]: KD_FONT_OP_GET failed while trying to get the font metadata: Function not implemented
[    2.144022] localhost.localdomain systemd-vconsole-setup[309]: Fonts will not be copied to remaining consoles
[    2.439854] localhost.localdomain kernel: qxl 0000:00:01.0: vgaarb: deactivate vga console
[    2.448821] localhost.localdomain kernel: fbcon: Deferring console take-over
[    2.511318] localhost.localdomain systemd-vconsole-setup[418]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
[    2.511618] localhost.localdomain systemd-vconsole-setup[418]: Fonts will not be copied to remaining consoles
[    2.715383] localhost.localdomain systemd[1]: /usr/lib/systemd/system/systemd-ask-password-console.service:12: Executable "systemd-tty-ask-password-agent" not found in path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin"
[    2.715486] localhost.localdomain systemd[1]: systemd-ask-password-console.service: Unit configuration has fatal error, unit will not be started.
[    2.911270] localhost.localdomain systemd-vconsole-setup[516]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
[    2.911592] localhost.localdomain systemd-vconsole-setup[516]: Fonts will not be copied to remaining consoles
[    2.912547] localhost.localdomain systemd[1]: systemd-vconsole-setup.service: Succeeded.
[    2.912930] localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.913005] localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.520868] localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.522852] localhost.localdomain systemd-vconsole-setup[560]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
[    4.523098] localhost.localdomain systemd-vconsole-setup[560]: Fonts will not be copied to remaining consoles
[    5.041193] localhost.localdomain systemd-vconsole-setup[609]: KD_FONT_OP_GET failed while trying to get the font metadata: Invalid argument
[    5.041515] localhost.localdomain systemd-vconsole-setup[609]: Fonts will not be copied to remaining consoles

Comment 18 Adam Williamson 2020-03-24 17:51:25 UTC
Did you rebuild initramfs after the update?

Comment 19 Chris Murphy 2020-03-24 18:01:54 UTC
Nope. Just did that and now the problem doesn't happen.

Comment 20 Adam Williamson 2020-03-24 18:22:56 UTC
Yay - can you karma the update so we can push it stable and sweep this all under the carpet? :D

Comment 21 Fedora Update System 2020-03-24 20:39:52 UTC
FEDORA-2020-c7a820c8ab has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.